$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.101-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.101-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'BB460B07E06D2CD5A2B1C0A4B8EBA8F2D8A9F387BB7CC93CCFD7D46CCF950865'
  checksumType = 'sha256'
  checksum64 = 'BB460B07E06D2CD5A2B1C0A4B8EBA8F2D8A9F387BB7CC93CCFD7D46CCF950865'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.101-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
